# Shop

```lua
{
    name = "Demo Shop",
    blip = {enable = false, id = 52, color = 0, scale = 0.8},
    account = 'cash', -- 'cash', 'black_money', 'bank'
    
    --job check to open the shop
    jobs = {
        police = 0, --job name and minumum rank
        sheriff = 0
    },

    --gang check to open the shop
    gangs = {
        ballas = 0, --job name and minumum rank
        sheriff = 0
    },

    items = {
        --only buy
        {item = "bread", buyPrice = 10},
        
        --only sell
        {item = "bread", sellPrice = 20},
        
        --buy & sell
        {item = "bread", buyPrice = 10, sellPrice = 20},    
        
        --buy, sell & stock enabled
        {item = "bread", buyPrice = 10, sellPrice = 20, stock = 50}, 
        
        --buy, sell, stock enabled & hasSerial
        {item = "weapon_pistol", buyPrice = 0, stock = 50, hasSerial = true}, 
        
        --buy, sell, stock enabled, hasSerial & job check while purchasing
        {item = "weapon_stungun", buyPrice = 0, stock = 50, hasSerial = true, jobs = {police = 0, sheriff = 1}}, 
            
        --buy, sell, stock enabled, hasSerial & gang check while purchasing
        {item = "weapon_stungun", buyPrice = 0, stock = 50, hasSerial = true, gangs = {police = 0, sheriff = 1}}, 
    
        -- license config for default qb license system
        {item = "weapon_pistol", buyPrice = 2500, license = {name = 'weapon'}},

        -- license config for ak47_qb_idcardv2
        {item = "weapon_pistol", buyPrice = 2500, license = {name = 'weapon', label = "WEAPON LICENSE", class = 'Pistol'}},

        -- required items enabled. note: it will not remove required items. if you need that, use crafting
        {item = "weapon_pistol", buyPrice = 2500, requires = {water = 1, bread = 1}},
    },
    zones = {
        {
            coords = vector4(45.68, -1749.04, 29.61, 53.13), -- shop & ped position
            size = vector3(2.0, 2.0, 2.0), -- zone size
        },
        {
            coords = vector4(2747.71, 3472.85, 55.67, 255.08),
            size = vector3(2.0, 2.0, 2.0),
        },
        {
            coords = vector4(-421.83, 6136.13, 31.88, 228.2),
            size = vector3(2.0, 2.0, 2.0),
        },
    },
    target = {label = "Open Shop", icon = 'fa-shop', distance = 2.0},
    peds = { --if empty then there will be no ped. Only polyzone
        'mp_m_waremech_01',
        'mp_m_waremech_01',
    },
    scenario = 'WORLD_HUMAN_COP_IDLES' -- if nil then ped will not play any scenario
},
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.menanak47.com/qbcore/ak47_qb_inventory/templates/shop.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
